#
# spec file for package sipcmd
#
# Copyright (c) 2016 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

Name:           sipcmd
Version:        git20200720
Release:        1%{?dist}
License:        GPL-2.0
Summary:        The command line SIP/H.323/RTP softphone
Url:            http://sipcmd.sourceforge.net
Group:          Applications/Communications
Source0:        sipcmd.%{version}.tar.gz
BuildRequires:  gcc-c++ ptlib-devel opal-devel

%description
Command line soft phone that makes phone calls, accepts calls, enters DTMF
digits, plays back WAV files and records them. A useful testing tool for
VoIP systems. Runs on Linux.

%prep
%setup -q -n sipcmd

%build
make %{?_smp_mflags}

%install
%{__mkdir} -p %{buildroot}/%{_bindir}
install -m 755 %{_builddir}/sipcmd/sipcmd %{buildroot}/%{_bindir}

%files
%doc doc/README
%defattr(-,root,root)
%{_bindir}/sipcmd


